import type { NextConfig } from "next";

const path = require('path')

const nextConfig: NextConfig = {
  pageExtensions: ['ts', 'tsx', 'mdx'],
  allowedDevOrigins: ['imnyang.dev'],
  turbopack: {
    root: path.join(__dirname, '.'),
  },
  images: {
    remotePatterns: [new URL('https://api.imnya.ng/**')],
  },
  output: 'standalone',
};

export default nextConfig;
